
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was tvlsim-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/tvlsim" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the TvlSim package. It defines the following variables:
#  TVLSIM_VERSION      - version of TvlSim
#  TVLSIM_BINARY_DIRS  - binary directories for TvlSim
#  TVLSIM_INCLUDE_DIRS - include directories for TvlSim
#  TVLSIM_LIBRARY_DIRS - library directories for TvlSim (normally not used!)
#  TVLSIM_LIBRARIES    - libraries to link against
#  TVLSIM_EXECUTABLES  - the TvlSim binaries/executables

# Tell the user project where to find TvlSim headers and libraries
set (TVLSIM_VERSION "1.01.9")
set (TVLSIM_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (TVLSIM_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (TVLSIM_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")

# Library dependencies for TvlSim (contains definitions for the TvlSim IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/tvlsim-library-depends.cmake")

# These are the TvlSim IMPORTED targets, created by tvlsim-library-depends.cmake
set (TVLSIM_LIBRARIES tvlsimlib)
set (TVLSIM_EXECUTABLES tvlsim)
